/* 
	Copyright (C) 2014 Nicklas Nordborg

	This file is part of the Example Code Package for BASE.
	Available at http://baseplugins.thep.lu.se/
	BASE main site: http://base.thep.lu.se/
	
	This is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 3
	of the License, or (at your option) any later version.
	
	The software is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with BASE. If not, see <http://www.gnu.org/licenses/>.
*/
var Examples = function()
{
	var examples = {};

	examples.initPage = function()
	{
		var pageId = Doc.getPageId();		
		
		if (pageId == 'hello-world' || pageId == 'hello-xjsp-world')
		{
			Buttons.addClickHandler('close', App.closeWindow);
		}
		else if (pageId == 'item-info')
		{
			Buttons.addClickHandler('close', App.closeWindow);
		}
		else if (pageId == 'annotation-filter')
		{
			Buttons.addClickHandler('close', App.closeWindow);
			Buttons.addClickHandler('btnOk', examples.applyAnnotationFilter);
		}

	}

	examples.applyAnnotationFilter = function()
	{
		var frm = document.forms['filter'];
		var selected = Forms.getCheckedRadio(frm.what);
		var filterString = selected ? selected.value : '';
		var filterFrm = window.opener.document.forms[0];
		window.opener.Forms.addHidden(filterFrm, 'filter:INT:annotationSet', filterString);
		filterFrm.submit();
		window.close();
	}

	return examples;
}();

Doc.onLoad(Examples.initPage);
